Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.catalog.advislets
Class CatalogQueryAdvisletImpl

    java.lang.Object
      |
      +--com.bea.p13n.advisor.AbstractAdvislet
            |
            +--com.beasys.commerce.ebusiness.catalog.advislets.CatalogQueryAdvisletImpl

public final class CatalogQueryAdvisletImpl
extends AbstractAdvislet
implements java.io.Serializable

This class is the implementation class for a CatalogQuery Advislet. This Advislet can issue queries against the Product Catalog and retrieve CatalogItems.

See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `catalogManagerName`
`protected CatalogQuery` | `catalogQuery`
`protected int` | `viewSize`

Fields inherited from class com.bea.p13n.advisor.AbstractAdvislet
`advisletMetadata, advisor, parametersMap`

Constructor Summary
`CatalogQueryAdvisletImpl(Advisor advisor, Metadata metadata)`

Method Summary
`Advice` | `getAdvice(AdviceRequest adviceRequest)` This method makes recommendations based the AdviceRequest passed in.
`void` | `validateAdviceRequest(AdviceRequest adviceRequest)`

Methods inherited from class com.bea.p13n.advisor.AbstractAdvislet
`getAdvisor, getMetadata, getRequiredAttributes, initialize, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### catalogQuery

    protected CatalogQuery catalogQuery

### catalogManagerName

    protected java.lang.String catalogManagerName

### viewSize

    protected int viewSize

Constructor Detail

### CatalogQueryAdvisletImpl

    public CatalogQueryAdvisletImpl(Advisor advisor,
                                    Metadata metadata)

Method Detail

### getAdvice

    public Advice getAdvice(AdviceRequest adviceRequest)
                     throws java.lang.IllegalArgumentException,
                            AdvisorException

  This method makes recommendations based the AdviceRequest passed in.

  Parameters:
    `adviceRequest` - The AdviceRequest used to make a recommendation.
  Overrides:
    getAdvice in class AbstractAdvislet

### validateAdviceRequest

    public void validateAdviceRequest(AdviceRequest adviceRequest)
                               throws java.lang.IllegalArgumentException

  Overrides:
    validateAdviceRequest in class AbstractAdvislet

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved